## m2crypto 0.21.1

=== SWIG/Makefile ===
# $Id: Makefile 299 2005-06-09 17:32:28Z heikki $

CFLAGS	   = -DTHREADING -g
INCLUDE	   = -I/usr/local/include -I.
LIBS       = -L/usr/local/lib -lssl -lcrypto
#if PYTHON_VERSION
PYVER = $(PYTHON_VERSION)
#else
PYVER = 2.3
#endif
PYINCLUDE  = -DHAVE_CONFIG_H -I/usr/local/include/python$(PYVER) \
	-I/usr/local/lib/python$(PYVER)/config
PYLIB      = /usr/local/lib/python$(PYVER)/config

all:	_m2crypto

_m2crypto: 	_m2crypto.i
	swig -python -shadow _m2crypto.i
	cc -c -fpic $(CFLAGS) $(INCLUDE) $(PYINCLUDE) _m2crypto_wrap.c
	ld -Bshareable -o __m2crypto.so _m2crypto_wrap.o $(LIBS) 
	cp _m2crypto.py __m2crypto.so ../M2Crypto

clean:
	rm -f *_wrap* *.o *.so _*.py *.pyc

## m2crypto 0.20.1+dfsg1

=== debian/changelog ===
m2crypto (0.20.1+dfsg1-1.1ubuntu1) oneiric; urgency=low

  * repackage upstream
    - remove non-free demo/x509/proxylib.py
  * switch to dh_python2 (LP: #788514) 
  * switch to 3.0 (quilt)
    - converted all upstream changes to patches
    - fix_sslv2_test.patch: testsuite patch for sslv2 deactivation
    - fix_build_with_new_openssl.patch: build fix from debian 0.20.1-1.1
  * Merge from debian testing, remaining changes:
    - disable_sslv2_test.patch: disable sslv23_weak_crypto test as it is expected to
      fail with SSLv2 having been disabled in openssl 0.9.8o-1ubuntu3.
      (LP: #600549)
    - fix_sslv2_test2.patch: fix testsuite with newer openssl. (LP: #600549)
      - Backported from http://svn.osafoundation.org/viewvc/m2crypto/trunk/tests/test_smime.py?r1=698&r2=721
    - debian/control: Add openssl for FTBFS. 
    - debian/rules; enable testsuite, add more files to "clean" rule.
    - fix_kill_signal.patch: use signal 9 to kill old s_server processes
      to work around build HUP signal-ignore-mask (LP: #451998).

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 10 Aug 2011 17:01:24 +0200

m2crypto (0.20.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Backport revision 721 from upstream SVN repository to fix build errors
    with libssl-dev >= 1.0.0. (Closes: #622001)
  * Do not provide sslv2_method if SSLv2 is not available.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 24 Jun 2011 17:27:46 +0200

m2crypto (0.20.1-1ubuntu5) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:04:32 +0000

m2crypto (0.20.1-1ubuntu4) maverick; urgency=low

  * tests/test_ssl.py: disable sslv23_weak_crypto test as it is expected to
    fail with SSLv2 having been disabled in openssl 0.9.8o-1ubuntu3.
    (LP: #600549)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 Oct 2010 11:58:15 -0400

m2crypto (0.20.1-1ubuntu3) maverick; urgency=low

  * tests/test_smime.py: fix testsuite with newer openssl. (LP: #600549)
    - Backported from http://svn.osafoundation.org/viewvc/m2crypto/trunk/tests/test_smime.py?r1=698&r2=721

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 09 Jul 2010 11:17:57 -0400

m2crypto (0.20.1-1ubuntu2) lucid; urgency=low

  * debian/control: Add openssl for FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Apr 2010 12:55:10 -0400

m2crypto (0.20.1-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/rules; enable testsuite, add more files to "clean" rule.
    - tests/test_ssl.py: use signal 9 to kill old s_server processes
      to work around build HUP signal-ignore-mask (LP: #451998).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 01:28:39 +0000

m2crypto (0.20.1-1) unstable; urgency=low

  * New upstream release

 -- Dima Barsky <dima@debian.org>  Sat, 12 Sep 2009 12:50:09 +0100

m2crypto (0.19.1-2) unstable; urgency=low

  * Fixed the URL in the watch file (Closes: #450167)

 -- Dima Barsky <dima@debian.org>  Mon, 15 Jun 2009 22:11:39 +0100

m2crypto (0.19.1-1) unstable; urgency=low

  * New upstream release

 -- Dima Barsky <dima@debian.org>  Mon, 15 Jun 2009 21:54:41 +0100

m2crypto (0.19.1-0ubuntu7) karmic; urgency=low

  * debian/rules: enable testsuite, add more files to "clean" rule.
  * tests/test_ssl.py: use signal 9 to kill old s_server processes
    to work around buildd HUP signal-ignore-mask (LP: #451998).

 -- Kees Cook <kees@ubuntu.com>  Fri, 16 Oct 2009 12:51:15 -0700

m2crypto (0.19.1-0ubuntu6) karmic; urgency=low

  * debian/rules: Disable testsuite, it will timeout the builds. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2009 13:38:09 -0400

m2crypto (0.19.1-0ubuntu5) karmic; urgency=low

  * debian/rules: Enable testsuite but dont let it prevent it from  building 
    the debs, since the testsuites require a network connection.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2009 08:31:18 -0400

m2crypto (0.19.1-0ubuntu4) karmic; urgency=low

  * debian/rules: Disable the testsuite again it does not run correctly
    on the builds. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Oct 2009 18:18:31 -0400

m2crypto (0.19.1-0ubuntu3) karmic; urgency=low

  * tests/test_ssl.py: Fix testsuite failure.
  * debian/rules: Enable testsuite

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Oct 2009 13:31:54 -0400

m2crypto (0.19.1-0ubuntu2) karmic; urgency=low

  * debian/rules: Enable testsuite but leave it disabled now until
    it acutally works properly.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Sep 2009 13:49:33 -0400

m2crypto (0.19.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Soren Hansen <soren@ubuntu.com>  Tue, 26 May 2009 11:07:11 +0200

m2crypto (0.18.2-2build1) jaunty; urgency=low

  * No-change upload for Python2.6 transition.

 -- Kees Cook <kees@ubuntu.com>  Tue, 10 Mar 2009 15:49:08 -0700

m2crypto (0.18.2-2) unstable; urgency=low

  * Added "import inspect" to M2Crypto/m2urllib2.py 
    (Closes: #493314, #484364, 477799) 

 -- Dima Barsky <dima@debian.org>  Fri, 15 Aug 2008 22:04:14 +0100

m2crypto (0.18.2-1) unstable; urgency=low

  * New upstream release (Closes: #440837)

 -- Dima Barsky <dima@debian.org>  Sat, 13 Oct 2007 02:21:26 +0100

m2crypto (0.17-2) unstable; urgency=low

  * Added "Build-Depends: python-setuptools" to avoid build inconsistencies.

 -- Dima Barsky <dima@debian.org>  Thu, 19 Jul 2007 09:51:13 +0100

m2crypto (0.17-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU (Closes: #380861)
  * Changed section to python (Closes: #425875)

 -- Dima Barsky <dima@debian.org>  Thu, 24 May 2007 21:14:36 +0100

m2crypto (0.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #380861),
    this includes renaming from m2crypto to python-m2crypto.
  * Bumped compat to 5.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 12 Aug 2006 16:07:49 +0200



=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Barsky <dima@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), python-all-dev (>= 2.6.6-3~), libssl-dev (>= 0.9.7), swig (>= 1.3.24), python-setuptools (>=0.6c5-3), openssl
Standards-Version: 3.8.3

Package: python-m2crypto
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}, m2crypto 
Conflicts: m2crypto (<< 0.16-1.1)
Replaces: m2crypto (<< 0.16-1.1)
Description: a crypto and SSL toolkit for Python
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

versions :=  $(shell pyversions -vs)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	for version in $(versions); \
	        do python$$version setup.py build; \
	done
	for version in $(versions); \
	        do python$$version setup.py test || exit 1; \
	done

	touch build-stamp

clean:
	dh_testdir
	for version in $(versions); \
		do python$$version setup.py clean -a; \
	done
	rm -f build-stamp configure-stamp SWIG/_m2crypto.py SWIG/_m2crypto.c SWIG/_m2crypto_wrap.c tests/randpool.dat tests/sig.p7 tests/sig.p7s
	find . -name '*.pyc' -print0 | xargs -0 rm -f
	find . -name '*.so' -print0 | xargs -0 rm -f
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	for version in $(versions); \
		do python$$version setup.py install --root=debian/python-m2crypto --no-compile; \
	done

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs doc/[A-HK-Za-z]*   # Everything but INSTALL.html
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-(.*).tar.gz

## m2crypto 0.21.1

=== debian/changelog ===
m2crypto (0.21.1-3ubuntu5) trusty; urgency=medium

  * debian/patches/fix_testsuite_sha256.patch: Fix test_write_pkcs7_der to
    cope with SHA-256 defaults in OpenSSL.

 -- William Grant <wgrant@ubuntu.com>  Tue, 18 Feb 2014 10:58:57 +1100

m2crypto (0.21.1-3ubuntu4) trusty; urgency=medium

  * debian/patches/fix_testsuite_tls1.2.patch: Fix SSLv3 test to also disable
    TLS 1.2, as otherwise new OpenSSLs negotiate up to 1.2 instead.

 -- William Grant <wgrant@ubuntu.com>  Thu, 19 Dec 2013 02:11:48 +1100

m2crypto (0.21.1-3ubuntu3) saucy; urgency=low

  * Reupload with the new x509.der.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 23:40:04 +1100

m2crypto (0.21.1-3ubuntu2) saucy; urgency=low

  * debian/patches/fix_testsuite_ftbfs.patch: Replace expired test
    certificates with a new set valid until 2023.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 17:08:13 +1100

m2crypto (0.21.1-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Switch to 3.0 (quilt).
    - debian/control: Add Pre-Depends for xz compression.
    - Re-enable test suite:
      * debian/control: Re-enable test suite.
      * debian/patches/skip_sslv2_test.patch: Skip tests which cannot pass
        on Debian/Ubuntu due to SSLv2 being disabled.
      * debian/patches/fix_testsuite_ftbfs.patch: Regenerate all the
        expired test certificates, modify test scripts with new certificate
        hashes, fingerprints, and lengths. Fix test_sslv23_no_v2() by
        disabling tls v1.1, and disable test_use_weak_cipher() as weak
        cipher doesn't work with recent openssl changes.
      * debian/source/include-binaries: include binary certificate file
        tests/x509.der in debian tarball, since it unfortunately can't go
        in the above patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Jan 2013 09:36:18 -0500

m2crypto (0.21.1-3) unstable; urgency=low

  b435179 Look for OpenSSL headers in multiarch path.
          Thanks to Colin Watson <cjwatson@ubuntu.com> (Closes: #696327)

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Jan 2013 18:01:43 +0900

m2crypto (0.21.1-2ubuntu3) quantal-proposed; urgency=low

  * Fix FTBFS in test suite:
    - debian/patches/fix_testsuite_ftbfs.patch: Regenerate all the expired
      test certificates, modify test scripts with new certificate hashes,
      fingerprints, and lengths. Fix test_sslv23_no_v2() by disabling
      tls v1.1, and disable test_use_weak_cipher() as weak cipher doesn't
      work with recent openssl changes.
    - debian/source/include-binaries: include binary certificate file
      tests/x509.der in debian tarball, since it unfortunately can't go in
      the above patch.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Sep 2012 14:39:17 -0400

m2crypto (0.21.1-2ubuntu2) precise; urgency=low

  * Add Pre-Depends for xz compression.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2011 15:43:58 -0400

m2crypto (0.21.1-2ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining Ubuntu changes:
    - debian/control: Re-enable test suite.
    - Switch to 3.0 (quilt).
    - d/p/skip_sslv2_test.patch: Skip tests which cannot pass on
      Debian/Ubuntu due to SSLv2 being disabled.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 25 Oct 2011 14:23:44 -0400

m2crypto (0.21.1-2) unstable; urgency=low

  [939cdded] Disable SSLv2_method when disabled in OpenSSL iself
             (Closes: #637904).
  [10433e12] Documented applied patches in debian/patches.
  [69b60a5d] Added debian/gbp.conf to show that the package is managed
             with git-buildpackage.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Aug 2011 08:41:24 +0900

m2crypto (0.21.1-1) unstable; urgency=low

  * New upstream releases supporting OpenSSL 1.0 (see #622001).
    Closes: #634015.
  * [0d774d2b] Transition to dh_python2.
  * [b6719dce] Switched to Debhelper 8.
  * [966a9d1b] Register the documentation with doc-base.
  * [ff50d3c0] Switch to CDBS.
  * [3592aa95] Complies with Policy 3.9.2 (no changes needed).
  * [955a5309] Use debhelper's ${misc:Depends}.
  * [8eef3145] Package in collab-maint on Alioth. Added myself as Uploader.
  * [66745855] Removed Pre-Etch Replaces and Conflicts statements.
  * [f5a50460] Documented upstream project's homepage.
  * [0cc12cb3] Compress binary package with xz.
  * [bc6599b4] Updated the list of files to remove at clean time.

 -- Charles Plessy <plessy@debian.org>  Sun, 14 Aug 2011 14:23:11 +0900

=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dima Barsky <dima@debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 8), python-all-dev (>= 2.6.6-3~), libssl-dev (>= 0.9.7), swig (>= 1.3.24), python-setuptools (>=0.6c5-3)
Standards-Version: 3.9.2
VCS-Browser: http://git.debian.org/?p=collab-maint/m2crypto.git
VCS-Git: git://git.debian.org/collab-maint/m2crypto.git
Homepage: http://chandlerproject.org/Projects/MeTooCrypto

Package: python-m2crypto
Architecture: any
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}, m2crypto 
Description: a crypto and SSL toolkit for Python
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.

=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_BUILDDEB_ARGS = -- -Z xz

include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

export DEB_HOST_MULTIARCH

versions :=  $(shell pyversions -vs)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
build/python-m2crypto::
	for version in $(versions); \
		do python$$version setup.py test || exit 1; \
	done
endif

clean::
	rm -f M2Crypto/__m2crypto.so SWIG/_m2crypto.py SWIG/_m2crypto_wrap.c tests/randpool.dat tests/sig.p7 tests/sig.p7s

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/M/M2Crypto/M2Crypto-(.*).tar.gz

## m2crypto 0.22.6~rc4

=== debian/changelog ===
m2crypto (0.22.6~rc4-1ubuntu1) xenial; urgency=medium

  * debian/control, debian/rules: Disable pandoc. It's in universe.

 -- William Grant <wgrant@ubuntu.com>  Sat, 12 Dec 2015 14:31:33 +1100

m2crypto (0.22.6~rc4-1) unstable; urgency=medium

  * New upstream release (Closes: #744137).
  * deb/changelog:
    + Removed trailing whitespaces.
  * deb/control:
    + Change of maintainer (Closes: #726262).
    + Removed cbds from build-deps, added dh-python.
    + Bumped debhelper level to 9 (also in deb/compat).
    + Added python-unittest2 and pandoc to build-deps.
    + Updated and removed unnecessary versions among build-deps.
    + Added X-Python-Version.
    + Dropped Vcs-Git and Browser (not collaboratively maintained).
    + Updated Homepage.
    + Specified short description line.
  * deb/copyright:
    + Rewritten for Dep-5, specified some Licenses.
  * deb/patches:
    + Restored Quilt patch regime (added patches/series, dropped sequence
      prefixes, restored proper DEP-3 headers).
    + Dropped 0002-Disable-SSLv2_method-when-disabled-in-OpenSSL-iself.patch
      (applied upstream ac01b383).
    + Added disable-sslv3.patch (Closes: #803946) [thanks to Kurt Roeckx].
  * deb/rules:
    + Added DH_VERBOSE and DEB_BUILD_OPTIONS lines.
    + Build with dh sequencer and Pybuild.
    + Added override for dh_installdocs.
    + Added override for dh_installexamples with hacks for Lintian complaints.
    + Dropped clean target (put needed cleans into deb/clean).
  * deb/watch:
    + Added uversionmangle.
  * Added:
    + deb/source/format (3.0 quilt).
    + deb/source/option (diff-ignore egg-info dir).
    + deb/clean (instead of clean target in deb/rules).
    + deb/python-m2crypto.examples (packaging demo/).
  * Dropped:
    + deb/gbp.conf (not needed anymore).
  * Moved:
    + deb/docs to deb/python-m2crypto.docs.
  * Wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Thu, 19 Nov 2015 10:38:29 +0100

m2crypto (0.21.1-4) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Remove Uploaders field.
  * Fix debian/watch by using pypi.debian.net.
  * Do not start synopsis with an article.

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Sep 2015 10:48:32 +0200

=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 libssl-dev (>= 1.0.1e),
 python-all-dev,
 python-setuptools,
 python-unittest2,
 swig (>= 1.3.40)
Standards-Version: 3.9.6
Homepage: https://gitlab.com/m2crypto/m2crypto
X-Python-Version: >= 2.6

Package: python-m2crypto
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Provides:
 m2crypto,
 ${python:Provides}
Description: Python wrapper for the OpenSSL library
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=m2crypto

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	# tests currently disabled, see #637750

override_dh_installexamples:
	dh_installexamples
	rm -f debian/python-m2crypto/usr/share/doc/python-m2crypto/examples/Zope/starts.bat
	sed -i 's/usr\/local\/bin\/python/usr\/bin\/python/' \
           debian/python-m2crypto/usr/share/doc/python-m2crypto/examples/medusa*/http_server.py

override_dh_compress:
	dh_compress -X.py # save examples

## m2crypto 0.22.6~rc4+eole1

=== debian/changelog ===
m2crypto (0.22.6~rc4+eole1-1) eole-2.6-unstable; urgency=low

  * [15a7720] Patch to fix heartbleed checker and build
  * [3806d4a] Fix Maintainer

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Tue, 26 Apr 2016 16:16:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Équipe EOLE <eole@ac-dijon.fr>
+XSBC-Ubuntu-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
 Build-Depends:
  debhelper (>= 9),
@@ -12,7 +13,8 @@
  python-unittest2,
  swig (>= 1.3.40)
 Standards-Version: 3.9.6
-Homepage: https://gitlab.com/m2crypto/m2crypto
+Homepage: http://dev-eole.ac-dijon.fr/projects/m2crypto
+XSBC-Original-Homepage: https://gitlab.com/m2crypto/m2crypto
 X-Python-Version: >= 2.6
 
 Package: python-m2crypto

## m2crypto 0.24.0

=== debian/changelog ===
m2crypto (0.24.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Willi Mann <willi@debian.org>  Tue, 16 Aug 2016 20:08:36 +0200

m2crypto (0.24.0-1) unstable; urgency=medium

  * New upstream release (Closes: #818986):
    + dropped applied and obsolete patches.
    + examples (demo/) not shipped anymore:
      * removed deb/python-m2crypto.exmaples.
      * dropped override for dh_installexamples in deb/rules.
      * removed all demo/ targets from deb/copyright.
  * deb/control:
    + updated maintainer email address.
    + sorted build-deps logically (from alphabetical).
    + bumped standards to 3.9.7 (no changes needed).
    + added Vcs-Git and Vcs-Browser.
  * deb/copyright: updated.
  * deb/rules: added DEB_BUILD_MAINT_OPTIONS with BINDNOW hardening.
  * Set up build-time tests:
    + added override for dh_auto_test in deb/rules for py.test.
    + added build-deps against python-pytest and openssl in deb/control,
      dropped python-unittest2 from build-deps.
  * Prevent the use of Pandoc (requested for downstream development):
    + convert README.rst with rst2html and links in deb/rules.
    + build-dep against python-docutils and links, dropped Pandoc.
  * Initialized git-dpm (added deb/.git-dpm).

 -- Daniel Stender <stender@debian.org>  Tue, 29 Mar 2016 21:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Équipe EOLE <eole@ac-dijon.fr>
-XSBC-Ubuntu-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  libssl-dev (>= 1.0.1e),
  python-all-dev,
  python-setuptools,
- python-unittest2,
- swig (>= 1.3.40)
-Standards-Version: 3.9.6
-Homepage: http://dev-eole.ac-dijon.fr/projects/m2crypto
-XSBC-Original-Homepage: https://gitlab.com/m2crypto/m2crypto
+ swig (>= 1.3.40),
+ python-pytest,
+ openssl,
+ python-docutils,
+ links
+Standards-Version: 3.9.7
+Homepage: https://gitlab.com/m2crypto/m2crypto
+Vcs-Git: https://github.com/danstender/m2crypto_debian.git
+Vcs-Browser: https://github.com/danstender/m2crypto_debian
 X-Python-Version: >= 2.6
 
 Package: python-m2crypto

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cp -a tests {build_dir}/M2Crypto/; {interpreter} -Wd -m pytest {build_dir}/M2Crypto/tests -v -rs; rm -rf {build_dir}/M2Crypto/tests" dh_auto_test || true
	# temporarily failsafed, some open issues

override_dh_installdocs:
	rst2html -r 5 README.rst .pybuild/README.html
	links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs .pybuild/README

override_dh_compress:
	dh_compress -X.py # save examples

## m2crypto 0.27.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/M2Crypto.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/M2Crypto.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/M2Crypto"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/M2Crypto"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
m2crypto (0.27.0-6) unstable; urgency=medium

  * add DEP-8 testsuite.
  * deb/clean:
    + add in-place extensions to cleanings.
  * build docs package:
    + add package description in deb/control.
    + update Depends, Suggests and description of module binary.
    + rename deb/doc-base files, update paths within.
    + change dh_autoinstall override in deb/rules to build docs into that.
    + add -A to dh_installdocs to contribute README everywhere.

 -- Daniel Stender <stender@debian.org>  Sun, 06 May 2018 00:18:40 +0200

m2crypto (0.27.0-5) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + Set Vcs-* to salsa.debian.org [Ondřej Nový].
  * deb/copyright:
    + expand copyright span to 2018.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Feb 2018 20:32:06 +0100

m2crypto (0.27.0-4) unstable; urgency=medium

  * deb/rules: temporarily disable test_HTTPSConnection_SNI_support on
    ppc-s (Closes: #881652).
  * add securely-mangle-changed-strings.patch.
  * deb/source/options: complete modified files for extend-diff-ignore.

 -- Daniel Stender <stender@debian.org>  Tue, 14 Nov 2017 22:51:30 +0100

m2crypto (0.27.0-3) unstable; urgency=medium

  * deb/rules:
    + unset $http{,s}_proxy (set by pybuild) for tests.
    + run elinks with fixed locale C.UTF-8 for reproducible buiding.
    + drop override for dh_compress (example scripts aren't shipped
      anymore).
  * drop skip-some-tests.patch, add sni-test-race.patch.

 -- Daniel Stender <stender@debian.org>  Mon, 13 Nov 2017 14:19:19 +0100

m2crypto (0.27.0-2) unstable; urgency=medium

  * Upload to unstable.
  * mv skip-test_urllib.patch skip-some-tests.patch, add another
    test, update.

 -- Daniel Stender <stender@debian.org>  Sun, 12 Nov 2017 20:21:25 +0100

m2crypto (0.27.0-1) experimental; urgency=medium

  * New upstream release:
    + update import-inspect-in-urllib-2.patch.
  * remove egg-info folder instead of ignoring it:
    + add M2Crypto.egg-info to debian/clean.
    + drop debian/source/options.
  * check tarball signature:
    + add debian/upstream with public key of <matej@ceplovi.cz>.
    + add pgpsigurlmangle to debian/watch.
  * handle SWIG/_m2crypto_wrap.c by diff-ignore in
    deb/source/options, drop it from deb/clean.
  * deb/clean:
    + add .cache/.
  * deb/control:
    + add python-typing to build-deps.
    + build against libssl-dev (Closes: #859225).
    + bump standards version to 4.1.1.
  * deb/copyright:
    + adjust some years according to LICENSE.
    + add Matěj Cepl to copyright holders.
  * deb/rules:
    + use PYBUILD_AFTER_BUILD to cp binding inplace for tests.
    + remove failsafe from tests.
    + shorten override for dh_auto_test, run tests from $(CURDIR).
  * tarball now ships with sphinx docs:
    + add override for dh_auto_install running sphinx-build in deb/rules.
    + drop deb/python-m2crypto.docs.
    + add python-sphinx to build-deps in deb/control.
    + add dh_sphinxdoc to dh extensions to run in deb/rules.
    + add ${sphinxdoc:Depends} for binary package in deb/control.
    + add prebuild doc/html to Files-Excluded in deb/copyright.
    + update existing doc-base files in deb/ for new folder.
    + add deb/python-m2crypto.doc-base.
  * add skip-test_urllib.patch.

 -- Daniel Stender <stender@debian.org>  Mon, 06 Nov 2017 21:10:45 +0100

m2crypto (0.24.0-2) unstable; urgency=medium

  * drop git-dpm regime (remove deb/.git-dpm, add deb/gbp.conf).
  * deb/control:
    + add DPMT as Uploaders.
    + update Vcs fields (package moves to python-modules).
  * deb/copyright:
    + use https in Format field.
    + expand copyright span of debian/*.
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Mon, 17 Jul 2017 20:09:18 +0200

m2crypto (0.24.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on openssl 1.0 for Stretch (Closes: #827068)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 05 Feb 2017 14:37:04 +0100

=== debian/control ===
Source: m2crypto
Section: python
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 libssl-dev,
 python-all-dev,
 python-setuptools,
 swig (>= 1.3.40),
 python-pytest,
 python-typing,
 openssl,
 python-docutils,
 links,
 python-sphinx
Standards-Version: 4.1.3
Homepage: https://gitlab.com/m2crypto/m2crypto
Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto
X-Python-Version: >= 2.6

Package: python-m2crypto
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 m2crypto-doc
Provides:
 m2crypto,
 ${python:Provides}
Description: Python wrapper for the OpenSSL library (Python 2 modules)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the modules for the Python 2 interpreter.

Package: m2crypto-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Suggests:
 python-m2crypto
Breaks:
 python-m2crypto (<< 0.27.0-6)
Description: Python wrapper for the OpenSSL library (docs)
 m2crypto features the following:
   * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
   * SSL functionality to implement clients and servers.
   * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
   * Unforgeable HMAC'ing AuthCookies for web session management.
   * FTP/TLS client and server.
   * S/MIME.
   * ZServerSSL: A HTTPS server for Zope.
   * ZSmime: An S/MIME messenger for Zope.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

export PYBUILD_AFTER_BUILD=cp {build_dir}/M2Crypto/_m2crypto.so M2Crypto/
# bindings needed inplace for tests and docs

export http_proxy=
export https_proxy=
# override settings from pybuild, unset them is needed for tests

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifneq (,$(filter $(DEB_BUILD_ARCH),ppc64el powerpc ppc64))
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -Wd -m pytest -k 'not test_HTTPSConnection_SNI_support' -v -rs" dh_auto_test
else
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -Wd -m pytest -v -rs" dh_auto_test
endif
	# temporarily disable test_ssl.py::HttpslibSSLClientTestCase::test_HTTPSConnection_SNI_support, see #881652

override_dh_auto_install:
	dh_auto_install
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N doc debian/m2crypto-doc/usr/share/doc/m2crypto-doc/html
endif

override_dh_installdocs:
	rst2html -r 5 README.rst .pybuild/README.html
	LC_LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

## m2crypto 0.31.0

=== debian/changelog ===
m2crypto (0.31.0-9ubuntu1) focal; urgency=medium

  * Force enable tlsv1 for the tls1 tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2020 11:26:10 +0000

m2crypto (0.31.0-9build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:35:16 +0100

m2crypto (0.31.0-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936975

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Jan 2020 00:17:53 -0500

m2crypto (0.31.0-8) unstable; urgency=medium

  * Adopt package; Closes: #945182

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 22:31:01 -0500

m2crypto (0.31.0-7) unstable; urgency=medium

  * Orphaning package.
  * Bump Standards-Version to 4.4.1 [Ondřej Nový].

 -- Daniel Stender <stender@debian.org>  Wed, 20 Nov 2019 23:37:23 +0100

m2crypto (0.31.0-6) unstable; urgency=medium

  * Perform complete source-only upload (Closes: #934914).

 -- Daniel Stender <stender@debian.org>  Sun, 18 Aug 2019 18:29:59 +0200

m2crypto (0.31.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Add python3-m2crypto.
  * Run tests during build automatically with pybuild.
  * Build sphinx docs with Python 3.
  * Bump debhelper compat level to 12.
  * Bump standards version to 4.4.0 (no changes).
  * d/patches: Fix typo erorr -> error.

 -- Daniel Stender <stender@debian.org>  Sun, 11 Aug 2019 10:46:16 +0200

m2crypto (0.31.0-4) unstable; urgency=medium

  * Add a few patches from upstream to avoid a testsuite
    regression while testing for bug which was fixed in OpenSSL
    1.1.1c (Closes: #929903) [thanks to Sebastian Andrzej Siewior].

 -- Daniel Stender <stender@debian.org>  Sun, 09 Jun 2019 09:42:32 +0200

m2crypto (0.31.0-3) unstable; urgency=medium

  * add 0002-tests-test_ssl-use-ciphercuites-for-TLS1.3-cipher-in.patch
    (Closes: #923446, thanks to Sebastian Andrzej Siewior).

 -- Daniel Stender <stender@debian.org>  Mon, 11 Mar 2019 19:44:01 +0100

m2crypto (0.31.0-2) unstable; urgency=medium

  * deb/control:
    + expand use of !nodoc build profile switch among b-deps.
  * deb/rules:
    + use filter function for scanning options instead of findstring.
    + scan for nodoc build option in override for dh_installdocs.

 -- Daniel Stender <stender@debian.org>  Wed, 19 Dec 2018 08:02:55 +0100

m2crypto (0.31.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release (Closes: #907219).
  * deb/clean:
    + clean .pytest_cache instead of .cache.
  * deb/control:
    + bump standards version to 4.2.1 (no further changes needed).
  * deb/copyright:
    + add M2Crypto.egg-info to Files-Excluded.
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + build with hardening=+all.
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + un-failsafe tests.
  * install switches for build profiles:
    + d/control: add !nodoc and !nocheck switches to b-deps, Build-
      Profiles to docs package.
    + d/rules: add if-loop to not run sphinxdoc dh ext if nodoc profile
      is set.
  * build with dh 11 (changes in d/control and d/compat).

 -- Daniel Stender <stender@debian.org>  Sat, 10 Nov 2018 11:49:42 +0100

m2crypto (0.30.1+git20181013.1576f1e-1) experimental; urgency=medium

  * Latest repository snapshot:
    + drop securely-mangle-changed-strings.patch (applied upstream).
    + drop sni-test-race.patch (applied upstream).
  * deb/control:
    + remove ancient X-Python-Version field [Ondřej Nový].
  * deb/rules:
    + restore override for dh_auto_test run all tests on ppc64el etc.
    + temporarily failsafe tests.

 -- Daniel Stender <stender@debian.org>  Fri, 02 Nov 2018 11:46:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,38 @@
 Source: m2crypto
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  dh-python,
  libssl-dev,
- python-all-dev,
- python-setuptools,
+ python3-all-dev,
+ python3-setuptools,
  swig (>= 1.3.40),
- python-pytest,
- python-typing,
- openssl,
- python-docutils,
- links,
- python-sphinx
-Standards-Version: 4.1.3
+ python3-pytest <!nocheck>,
+ openssl <!nocheck>,
+ python3-docutils <!nodoc>,
+ links <!nodoc>,
+ python3-sphinx <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://gitlab.com/m2crypto/m2crypto
 Vcs-Git: https://salsa.debian.org/python-team/modules/m2crypto.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/m2crypto
-X-Python-Version: >= 2.6
 
-Package: python-m2crypto
+Package: python3-m2crypto
 Architecture: any
 Depends:
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends}
 Suggests:
  m2crypto-doc
 Provides:
  m2crypto,
- ${python:Provides}
-Description: Python wrapper for the OpenSSL library (Python 2 modules)
+ ${python3:Provides}
+Description: Python wrapper for the OpenSSL library (Python 3 modules)
  m2crypto features the following:
    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
@@ -44,16 +43,17 @@
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.
  .
- This package contains the modules for the Python 2 interpreter.
+ This package contains the modules for the Python 3.x interpreter.
 
 Package: m2crypto-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}
 Suggests:
- python-m2crypto
+ python3-m2crypto
 Breaks:
  python-m2crypto (<< 0.27.0-6)
 Description: Python wrapper for the OpenSSL library (docs)

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_AFTER_BUILD_python3=cp {build_dir}/M2Crypto/*.so M2Crypto/
# bindings needed inplace for docs

export http_proxy=
export https_proxy=
# override settings from pybuild, unset them is needed for tests

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --with python3 --buildsystem=pybuild
else
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N doc debian/m2crypto-doc/usr/share/doc/m2crypto-doc/html
endif

override_dh_installdocs:
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	rst2html -r 5 README.rst .pybuild/README.html
	LC_LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
endif
	dh_installdocs -A .pybuild/README

=== debian/tests/control ===
Tests: python3-m2crypto
Depends: python3-m2crypto, python3-pytest, openssl

## m2crypto 0.31.0.2

=== debian/changelog ===
m2crypto (0.31.0.2-4+deb10u2) unstable; urgency=medium

  * update

 -- Daniel Stender <stender@debian.org>  Fri, 02 Apr 2021 16:58:15 +0800

m2crypto (0.31.0.1-4+deb10u1) unstable; urgency=medium

  * Update debian/rules

 -- system-dev <system-dev@uniontech.com>  Sat, 20 Feb 2021 10:22:38 +0800

m2crypto (0.31.0-4+deb10u1) buster; urgency=medium

  * Non-maintainer upload.
  * debian/patches/MR261.patch
    - fix compatibility with openssl/1.1.1i+; Closes: #954402

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 24 Jan 2021 12:01:15 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=m2crypto
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_AFTER_BUILD=cp {build_dir}/M2Crypto/_m2crypto.so M2Crypto/
# bindings needed inplace for tests and docs

export http_proxy=
export https_proxy=
# override settings from pybuild, unset them is needed for tests

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --with python2 --buildsystem=pybuild
else
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_test:
#	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -Wd -m pytest --ignore tests/test_ssl.py -v -rs" dh_auto_test

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N doc debian/m2crypto-doc/usr/share/doc/m2crypto-doc/html
endif

override_dh_installdocs:
ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
	rst2html -r 5 README.rst .pybuild/README.html
	LC_LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
endif
	dh_installdocs -A .pybuild/README

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|beta|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/M2Crypto/M2Crypto-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
